Package com.independentsoft.office.word.customMarkup

# Class StructuredDocumentTagDate

java.lang.Object
com.independentsoft.office.word.customMarkup.StructuredDocumentTagDate

public class StructuredDocumentTagDate extends Object
The Class StructuredDocumentTagDate.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructuredDocumentTagDate()`
  Instantiates a new structured document tag date.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StructuredDocumentTagDate`
  `clone()`
  `CalendarType`
  `getCalendar()`
  Gets the calendar.
  `String`
  `getDisplayMask()`
  Gets the display mask.
  `String`
  `getLanguage()`
  Gets the language.
  `Date`
  `getLastKnownDate()`
  Gets the last known date.
  `DateMappingType`
  `getStoreMappedDate()`
  Gets the store mapped date.
  `void`
  `setCalendar​(CalendarType calendar)`
  Sets the calendar.
  `void`
  `setDisplayMask​(String displayMask)`
  Sets the display mask.
  `void`
  `setLanguage​(String language)`
  Sets the language.
  `void`
  `setLastKnownDate​(Date lastKnownDate)`
  Sets the last known date.
  `void`
  `setStoreMappedDate​(DateMappingType storeMappedDate)`
  Sets the store mapped date.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StructuredDocumentTagDate

    public StructuredDocumentTagDate()
    Instantiates a new structured document tag date.

- ## Method Details

  - ### clone

    public StructuredDocumentTagDate clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCalendar

    public CalendarType getCalendar()
    Gets the calendar.
    Returns:
      the calendar

  - ### setCalendar

    public void setCalendar​(CalendarType calendar)
    Sets the calendar.
    Parameters:
      `calendar` - the new calendar

  - ### getDisplayMask

    public String getDisplayMask()
    Gets the display mask.
    Returns:
      the display mask

  - ### setDisplayMask

    public void setDisplayMask​(String displayMask)
    Sets the display mask.
    Parameters:
      `displayMask` - the new display mask

  - ### getLanguage

    public String getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### getStoreMappedDate

    public DateMappingType getStoreMappedDate()
    Gets the store mapped date.
    Returns:
      the store mapped date

  - ### setStoreMappedDate

    public void setStoreMappedDate​(DateMappingType storeMappedDate)
    Sets the store mapped date.
    Parameters:
      `storeMappedDate` - the new store mapped date

  - ### getLastKnownDate

    public Date getLastKnownDate()
    Gets the last known date.
    Returns:
      the last known date

  - ### setLastKnownDate

    public void setLastKnownDate​(Date lastKnownDate)
    Sets the last known date.
    Parameters:
      `lastKnownDate` - the new last known date